//    This file is part of BoobTracker.
//
//    BoobTracker is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    BoobTracker is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with BoobTracker.  If not, see <http://www.gnu.org/licenses/>.
//
//    You may contact the original author at : squalou.jenkins@gmail.com

package net.homelinux.pro.boobStates;

import net.homelinux.pro.boobTraker.BoobConsts;
import net.homelinux.pro.boobTraker.StateTransition;


public class AvailableBoobState extends NullBoobState {

	@Override
	public void processing(StateTransition stateTransition) {
		stateTransition.changeStateTo(StateTransition.PROCESSING_BOOB);
	}

	@Override
	public void available(StateTransition stateTransition) {
		//ne rien faire mais autoriser ... juste pour le premier usage
	}

	@Override
	public void unavailable(StateTransition stateTransition) {
		//pour les cas de retoures de tout vert
		stateTransition.changeStateTo(StateTransition.UNAVAILABLE_BOOB);
	}
	
	@Override
	public int getCode() {
		return BoobConsts.BOOB_AVAILABLE;
	}
	
	@Override
	public int getColor() {
		return BoobConsts.BOOB_COLOR_GREEN;
	}

	@Override
	public int getButtonImage() {
		return BoobConsts.BOOB_IMAGE_AVAILABLE;
	}
	
}
