//    This file is part of BoobTracker.
//
//    BoobTracker is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    BoobTracker is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with BoobTracker.  If not, see <http://www.gnu.org/licenses/>.
//
//    You may contact the original author at : squalou.jenkins@gmail.com

package net.homelinux.pro.utils;

import java.text.SimpleDateFormat;
import java.util.Date;

public class TimeUtils {

	public TimeUtils() {

	}

	/**
	 * @param millis
	 * @return a string formatted as "HHhMMm" or "MMmSSs" or "SSs", converted from the long millis.
	 */
	public static String millisToNiceDuration(long millis) {


		if (millis>=3600000){
			SimpleDateFormat df = new SimpleDateFormat("HH'h'mm'm'");
			return df.format(new Date(millis));

		}else if (millis>=60000){
			SimpleDateFormat df = new SimpleDateFormat("mm'm'ss's'");
			return df.format(new Date(millis));
		}else{
			SimpleDateFormat df = new SimpleDateFormat("ss's'");
			return df.format(new Date(millis));
		}
	}


	
	/**interprete la chaine issue du fichier de conf - au format de date idoine - et la transforme en chaine parsable par Time.parse();
	 * @param niceDate : chaine de la forme YYYY/mm/dd HH:MM:SS
	 * @return : a Time (01/01/1970 if parsing fails)
	 */
	public static String niceFileFormatDateToTime(String niceDate){
		return ((niceDate.replace(' ', 'T')).replaceAll("/", "")).replaceAll(":", "");
	}

}
